Bug 842298 - RFE: linux vdagent dynamic monitors support
Summary: RFE: linux vdagent dynamic monitors support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-vdagent
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Hans de Goede
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 770842 842305 842310 842411
Blocks: 787160 787569 787578 977213 978877 978878 978879 978880 978883 978884 978885 978887 978888 978889 978892 978893 978895 979217 979218 979221 1088390
TreeView+ depends on / blocked
 
Reported: 2012-07-23 12:17 UTC by Alon Levy
Modified: 2014-04-16 14:21 UTC (History)
13 users (show)

Fixed In Version: spice-vdagent-0.12.0-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of: 770842
Environment:
Last Closed: 2013-02-21 08:23:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:0311 normal SHIPPED_LIVE spice-vdagent enhancement update 2013-02-20 20:35:19 UTC

Comment 3 Hans de Goede 2012-09-01 18:52:53 UTC
This is fixed in spice-vdagent-0.12.0-1.el6. moving to modified.

Comment 5 Tomas Jamrisko 2012-11-16 16:52:35 UTC
Multiple monitors behave rather incosistently. 

When conneting to a VM, it by default has a single monitor visible. (just one device enabled in xrandr output). Enabling more monitors changes this, and it's ok. For now. 

The problem arises, when a display channel gets closed. The display keeps being reported as connected. Which might still might be considered OK, albeit a little strange. However, resizing one of the open windows causes, the display to be disabled, yet still connected. The display later gets completely disconnected when it gets "turned of" using Display preferences

It just feels inconsistent, either all 4 devices should be permanently "connected", but just disabled (as is the default behaviour in windows clients), or they should be disconnected unless visible. 

Also opening a display and then closing it causes, that vdagent remains listed in xrandr's output.  -- which forces the display to open, even though previously explictly closed, when vdagent gets restarted -- which happens a lot, because it exits pretty much everytime the display configuration gets changed - bug 872633 (will try to determine, whether it exits with 1, or actually crashes later, and is actually a different bug. 

Anyway, would really like to know, how connecting and disconnecting the displays should behave.

Comment 6 Hans de Goede 2012-11-17 10:23:17 UTC
(In reply to comment #5)
> Multiple monitors behave rather incosistently. 
> 
> When conneting to a VM, it by default has a single monitor visible. (just
> one device enabled in xrandr output). Enabling more monitors changes this,
> and it's ok. For now. 
> 
> The problem arises, when a display channel gets closed. The display keeps
> being reported as connected. Which might still might be considered OK,
> albeit a little strange. However, resizing one of the open windows causes,
> the display to be disabled, yet still connected. The display later gets
> completely disconnected when it gets "turned of" using Display preferences
> 
> It just feels inconsistent, either all 4 devices should be permanently
> "connected", but just disabled (as is the default behaviour in windows
> clients), or they should be disconnected unless visible. 
> 
> Also opening a display and then closing it causes, that vdagent remains
> listed in xrandr's output.  -- which forces the display to open, even though
> previously explictly closed, when vdagent gets restarted -- which happens a
> lot, because it exits pretty much everytime the display configuration gets
> changed - bug 872633 (will try to determine, whether it exits with 1, or
> actually crashes later, and is actually a different bug. 
> 
> Anyway, would really like to know, how connecting and disconnecting the
> displays should behave.

A good question, can you please take this discussion to the spice-devel mailinglist, so that all involved parties can read along and chime-in? Note that Fedora-18 has the exact same code, so this is not a RHEL only thing.

Comment 12 Hans de Goede 2013-01-07 15:18:49 UTC
Hi,

(In reply to comment #5)
> Multiple monitors behave rather incosistently. 
> 

Thanks for the feedback, note that this is a generic tracking bug for getting the feature in
place, and that is more or less done now, so this bug is going to be closed soon.

I agree that some of the behavior needs some fine tuning. I believe that the problem
you're describing is currently being discussed in bug 881072. Please join the discussion
there. If you feel that bug 881072 does not cover your problem, please file a new bug to
track your problem.

Thanks & Regards,

Hans

Comment 14 Hans de Goede 2013-01-08 14:09:48 UTC
There is a new build fixing bug 872633 and bug 888821 now, moving back to ON_QA.

Comment 17 errata-xmlrpc 2013-02-21 08:23:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-0311.html


Note You need to log in before you can comment on or make changes to this bug.